figure(1);
subplot(2,1,1);
%Vykresleni vychylky kmitu v casove oblasti
plot(uhel(:,1),uhel(:,2));
title('Uhel vychyleni');
xlabel('Cas [s]');
ylabel('Amplituda [rad]');

subplot(2,1,2);
%Zobecnena hmotnost
I_= I_tycka(3,3) + m_tycka*(l_tycka/2)^2 + I_zavazi(3,3) + m_zavazi*(l_tycka+R_zavazi)^2;
%Zobecnena tuhust
k_ = k*(l_tycka+R_zavazi)^2;
%Zobecnene tlumeni
b_ = b*(l_tycka+R_zavazi)^2;
%Vlastni frekvence netlumeneho kmitani
w_vl = (k_/I_)^0.5;
frek_vl = w_vl/2/pi;
%Amplituda zobecnene budici sily
Q0_ = amp*(l_tycka+2*R_zavazi);
%Soucinitel doznivani
delta = b_/(2*I_);
%Pomerny utlum
b_p = delta / w_vl;
%Vlastni frekvence tlumeneho kmitani
w_vl_tl = ((w_vl)^2-delta^2)^0.5;
frek_vl_tl = w_vl_tl/2/pi;
%Odezva
frek = 0:0.01:70;
w__ = 2*pi*frek;
figure(1);
qA = Q0_./(k_*((1-(w__.^2./w_vl^2)).^2+(2*b_p*w__./w_vl).^2).^0.5);

plot(w__/2/pi,qA);
title('A-F Charakteristika');
xlabel('Frekvence [Hz]');
ylabel('Amplituda [rad]');
hold on;
qA_w = Q0_./(k_*((1-(w.^2./w_vl^2)).^2+(2*b_p*w./w_vl).^2).^0.5);
plot(freq,qA_w,'or');
legend('A-F Char.','amplituda/budici frekvence');
set(gcf,'Color','w','OuterPosition',[150 100 900 720]);
hold off;

Fs = 1000;                    % Sampling frequency
T = 1/Fs;                    % Sample time
L = length(uhel(:,1));       % Length of signal
t = (0:L-1)*T;               % Time vector
y = uhel(:,2);     
figure(2);
subplot(1,1,1);
plot(t,y);
title('Signal');
xlabel('time (sec)');
NFFT = 2^nextpow2(L);        % Next power of 2 from length of y
Y = fft(y,NFFT)/L;
f = Fs/2*linspace(0,1,NFFT/2+1);
%plot(f,2*abs(Y(1:NFFT/2+1)))
plot(f(1:10000),2*abs(Y(1:10000)));
title('FFT')
xlabel('Frekvence [Hz]')
ylabel('|Y(f)|')

clc;
disp('Zobecnena hmotnost [kg*m^2]');
disp(I_);
disp('Zobecnena tuhust [N*m]');
disp(k_);
disp('Zobecnene tlumeni [N*s*m]');
disp(b_);
disp('Vlastni frekvence netlumeneho kmitani [Hz]');
disp(frek_vl);
disp('Vlastni frekvence tlumeneho kmitani [Hz]');
disp(frek_vl_tl);
disp('Pomerny utlum');
disp(b_p);
disp('Amplituda vynuceneho ustaleneho kmitani [rad]');
disp(qA_w);